| Home | Libraries | People | FAQ | More

#### is_mutable_buffer_sequence

Determine if a list of types satisfy the MutableBufferSequence requirements.

##### Synopsis

Defined in header `<boost/beast/core/buffer_traits.hpp>`

    template<
        class... BufferSequence>
    using is_mutable_buffer_sequence = see-below;

##### Description

This metafunction is used to determine if all of the specified types meet the requirements for mutable buffer sequences. This type alias will be `std::true_type` if each specified type meets the requirements, otherwise, this type alias will be `std::false_type`.

##### Template Parameters

Type | Description
--- | ---
`BufferSequence` | A list of zero or more types to check. If this list is empty, the resulting type alias will be `std::true_type`.

Convenience header `<boost/beast/core.hpp>`